package com.adop.bidmadflutter;

import androidx.annotation.NonNull;
import io.flutter.embedding.engine.plugins.FlutterPlugin;
import io.flutter.embedding.engine.plugins.activity.ActivityAware;
import io.flutter.embedding.engine.plugins.activity.ActivityPluginBinding;
import org.jetbrains.annotations.NotNull;
import ad.helper.openbidding.FlutterCommon;
import io.flutter.Log;

public class BidmadFlutterPlugin implements FlutterPlugin, ActivityAware {
    private FlutterCommon common = null;
    @Override
    public void onAttachedToEngine(@NonNull @NotNull FlutterPluginBinding binding) {
        Log.d("bidmad", "BidmadFlutterPlugin onAttachedToEngine Call");
        if(common == null) {
            common = new FlutterCommon(binding);
            common.initChannel();
        }
    }

    @Override
    public void onDetachedFromEngine(@NonNull @NotNull FlutterPluginBinding binding) {
        //Do nothing
    }

    @Override
    public void onAttachedToActivity(@NonNull @NotNull ActivityPluginBinding binding) {
        Log.d("bidmad", "BidmadFlutterPlugin onAttachedToActivity Call");
        if(common != null){
            common.setActivity(binding.getActivity());
        }
    }

    @Override
    public void onDetachedFromActivityForConfigChanges() {

    }

    @Override
    public void onReattachedToActivityForConfigChanges(@NonNull @NotNull ActivityPluginBinding binding) {
        Log.d("bidmad", "BidmadFlutterPlugin onReattachedToActivityForConfigChanges Call");
        if(common != null){
            common.setActivity(binding.getActivity());
        }

    }

    @Override
    public void onDetachedFromActivity() {

    }
}
